Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2751143003: Move FrameFetchContext::dispatchDidLoadResourceFromMemoryCache logic into ResourceFetcher (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by kinuko
Modified:
3 months, 4 weeks ago
CC:
chromium-reviews, Yoav Weiss, tyoshino+watch_chromium.org, loading-reviews_chromium.org, gavinp+loader_chromium.org, blink-reviews, loading-reviews+fetch_chromium.org, kinuko+watch, Nate Chapin, hiroshige
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Move FrameFetchContext::dispatchDidLoadResourceFromMemoryCache logic into ResourceFetcher Motivation: want to make FrameFetchContext thinner that only has the code that hides Frame abstraction BUG=695279 Review-Url: https://codereview.chromium.org/2751143003 Cr-Commit-Position: refs/heads/master@{#460676} Committed: https://chromium.googlesource.com/chromium/src/+/918293741a54580488930933602b2d4984378b97

Patch Set 1 #

Patch Set 2 : . #

Patch Set 3 : . #

Patch Set 4 : . #

Total comments: 10

Patch Set 5 : addressed comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+106 lines, -106 lines) Patch
M third_party/WebKit/Source/core/loader/FrameFetchContext.h View 1 2 3 4 1 chunk +5 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/loader/FrameFetchContext.cpp View 1 2 3 4 3 chunks +48 lines, -66 lines 0 comments Download
M third_party/WebKit/Source/core/loader/FrameFetchContextTest.cpp View 1 2 3 4 4 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/platform/loader/fetch/FetchContext.h View 1 2 3 4 1 chunk +6 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/platform/loader/fetch/FetchContext.cpp View 1 2 3 4 1 chunk +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.h View 1 2 3 4 2 chunks +5 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp View 1 2 3 4 4 chunks +32 lines, -13 lines 0 comments Download
M third_party/WebKit/Source/platform/loader/fetch/ResourceLoader.cpp View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
Trybot results:  win_clang   win_chromium_x64_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_rel_ng   ios-device   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   cast_shell_android   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_android_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device   ios-device-xcode-clang   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   ios-simulator   win_clang   win_chromium_x64_rel_ng   mac_chromium_rel_ng   ios-device-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   linux_android_rel_ng   android_cronet   ios-device   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_asan_rel_ng   cast_shell_linux   android_compile_dbg   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   linux_chromium_rel_ng   cast_shell_android   linux_chromium_compile_dbg_ng   android_n5x_swarming_rel   android_arm64_dbg_recipe   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   android_clang_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 46 (35 generated)
kinuko
What do you think? Code moving only, similar change to crrev.com/2747203002/ https://codereview.chromium.org/2751143003/diff/60001/third_party/WebKit/Source/core/loader/FrameFetchContext.cpp File third_party/WebKit/Source/core/loader/FrameFetchContext.cpp (right): ...
4 months ago (2017-03-22 14:13:27 UTC) #24
Nate Chapin
Awesome! https://codereview.chromium.org/2751143003/diff/60001/third_party/WebKit/Source/core/loader/FrameFetchContext.cpp File third_party/WebKit/Source/core/loader/FrameFetchContext.cpp (right): https://codereview.chromium.org/2751143003/diff/60001/third_party/WebKit/Source/core/loader/FrameFetchContext.cpp#newcode464 third_party/WebKit/Source/core/loader/FrameFetchContext.cpp:464: probe::markResourceAsCached(frame(), identifier); Is it important to do this ...
4 months ago (2017-03-22 19:02:02 UTC) #25
yhirano
lgtm if Nate's comments are addressed.
4 months ago (2017-03-23 12:07:23 UTC) #26
kinuko
Thanks! Updated. https://codereview.chromium.org/2751143003/diff/60001/third_party/WebKit/Source/core/loader/FrameFetchContext.cpp File third_party/WebKit/Source/core/loader/FrameFetchContext.cpp (right): https://codereview.chromium.org/2751143003/diff/60001/third_party/WebKit/Source/core/loader/FrameFetchContext.cpp#newcode464 third_party/WebKit/Source/core/loader/FrameFetchContext.cpp:464: probe::markResourceAsCached(frame(), identifier); On 2017/03/22 19:02:02, Nate Chapin ...
4 months ago (2017-03-24 13:51:51 UTC) #29
Nate Chapin
LGTM, sorry for the delay.
4 months ago (2017-03-28 21:50:02 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2751143003/80001
4 months ago (2017-03-29 00:09:48 UTC) #35
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/393659)
4 months ago (2017-03-29 00:24:44 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2751143003/80001
4 months ago (2017-03-29 05:51:20 UTC) #39
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/393861)
4 months ago (2017-03-29 06:59:47 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2751143003/80001
3 months, 4 weeks ago (2017-03-30 04:39:44 UTC) #43
commit-bot: I haz the power
3 months, 4 weeks ago (2017-03-30 05:56:14 UTC) #46
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/918293741a54580488930933602b...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973